# dbc dup |

`

###

    dbc dup
    	[-position]

# Description

The dbc dup command duplicates the cursor, creates a new cursor that uses the same transaction and locker ID as the original cursor. This is useful when an application is using locking and requires two or more cursors in the same thread of control.

The options are as follows:

-position
  The newly created cursor is initialized to reference the same position in the database as the original cursor and hold the same locks. If the -position flag is not specified, then the created cursor is uninitialized and will behave like a cursor newly created using the db cursor command.

The dbc dup command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright Sleepycat Software